<?php get_header(); ?>

<div id="content">
    <div class="entry-content">

        <div class="page-title">
            <div class="container">
                <h1><?php esc_html_e('Services', 'continal'); ?></h1>
            </div>
        </div>

        <div class="breadcrumbs">
            <div class="container">
                <?php continal_breadcrumbs(); ?>
            </div>
        </div>

        <div class="page-content">
            <section class="list-services">
                <div class="container">
                    <div class="row">
                        
                        <div class="col-md-12">
                            <ul id="filter" class="filter-projects none-style">
                                <li><a href="#" class="current" data-filter="*" title=""><?php echo esc_html__('All Projects','continal'); ?></a></li>
                                <?php 
                                    $categories = get_terms('categories');
                                    foreach( (array)$categories as $categorie){
                                        $cat_name = $categorie->name;
                                        $cat_slug = $categorie->slug;
                                ?>
                                <li><a href="#" data-filter=".<?php echo htmlspecialchars_decode( $cat_slug ); ?>" title=""><?php echo htmlspecialchars_decode( $cat_name ); ?></a></li>
                                <?php } ?>
                            </ul>

                            <div id="gallery" class="all-project all-project-v1">
                                <?php 
                                    $args = array(   
                                        'post_type' => 'portfolio',   
                                        'posts_per_page' => 9,              
                                    );  
                                    $wp_query = new WP_Query($args);
                                    while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
                                    $cates = get_the_terms(get_the_ID(),'categories');
                                    $cate_name ='';
                                    $cate_slug = '';
                                    foreach((array)$cates as $cate){
                                        if(count($cates)>0){
                                            $cate_name .= $cate->name.' <span>,</span> ' ;
                                            $cate_slug .= $cate->slug .' ';     
                                        } 
                                    }
                                ?>
                                <?php $image = wp_get_attachment_url(get_post_thumbnail_id()); ?>
                                <div class="item <?php echo esc_attr($cate_slug); ?> ">                                    
                                    <div class="project-box ">
                                        <a href="<?php the_permalink(); ?>" class="image-project">
                                            <img src="<?php echo esc_url($image); ?>" alt="">
                                            <span class="overlay"></span>
                                        </a>
                                        <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                        <div class="cat-name"><?php echo htmlspecialchars_decode($cate_name); ?></div>
                                    </div>
                                </div>
                                <?php endwhile; wp_reset_postdata(); ?>
                            </div>
                        </div>                      
                    </div>
                </div>
            </section>            
                        
        </div>

    </div>      
</div>

<!-- content close -->
<?php get_footer(); ?>
