<?php
/**
 * The template for displaying comments.
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package continal
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
    	if ( is_singular() ) wp_enqueue_script( "comment-reply" );
		$aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => 'reply-form',                                
                'title_reply'=> esc_html__('LEAVE A REPLY', 'continal'),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<p class="col-6 comment-form-author"><input id="author" name="author" id="name" type="text" value="" placeholder="'. esc_html__( 'Name', 'continal' ) .'" /></p>',
                    'email' => '<p class="col-6 comment-form-email"><input value="" id="email" name="email" type="text" placeholder="'. esc_html__( 'Email', 'continal' ) .'" /></p>', 
                    
                ) ),                                
                 'comment_field' => '<p class="comment-form-comment"><textarea rows="10" cols="45" name="comment" '.$aria_req.' id="comment" placeholder="'. esc_html__( 'Message', 'continal' ) .'" ></textarea></p>',                                                   
                 'label_submit' => esc_html__( 'comment', 'continal' ),
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',   
                 'class_submit'      => 'submit ot-btn btn-color',            
	        )
	    ?>
	    <?php comment_form($comment_args); ?>

	<?php if ( have_comments() ) : ?>
		<div class="list-comments">
			<h3><?php comments_number( esc_html__('0 comment', 'continal'), esc_html__('1 comment', 'continal'), __('% comments', 'continal') ); ?></h3>
		    <ul class="commentlist">
					<?php wp_list_comments('callback=continal_theme_comment'); ?>
				<?php
					// Are there comments to navigate through?
					if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
				?>
					<nav class="navigation comment-navigation" role="navigation">		   
						<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'continal' ) ); ?></div>
						<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'continal' ) ); ?></div>
		                <div class="clearfix"></div>
					</nav><!-- .comment-navigation -->
				<?php endif; // Check for comment navigation ?>

				<?php if ( ! comments_open() && get_comments_number() ) : ?>
					<p class="no-comments"><?php esc_html_e( 'Comments are closed.' , 'continal' ); ?></p>
				<?php endif; ?>	
		    </ul>
		</div>		
	<?php endif; ?>	

	

</div><!-- #comments -->
