<?php
$root =dirname(dirname(dirname(dirname(dirname(__FILE__)))));
if ( file_exists( $root.'/wp-load.php' ) ) {
    require_once( $root.'/wp-load.php' );
} elseif ( file_exists( $root.'/wp-config.php' ) ) {
    require_once( $root.'/wp-config.php' );
}
header("Content-type: text/css; charset=utf-8");

function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);
   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
global $continal_option; 
$b=$continal_option['main-color'];
$rgba = hex2rgb($b);  
?>

<?php if($continal_option['bg_allpage_style']=='cover'){ ?>
	.page-title{background:url(<?php echo esc_url($continal_option['bg_allpage']['url']); ?>);background-size:cover;}
<?php }else{ ?>
	.page-title{background:url(<?php echo esc_url($continal_option['bg_allpage']['url']); ?>) repeat;}
<?php } ?>
<?php if($continal_option['footer_bg_style']=='cover'){ ?>
	footer{background:url(<?php echo esc_url($continal_option['footer_bg']['url']); ?>);background-size:cover;background-color:<?php echo esc_attr($continal_option['footer_bg_color']); ?>;}
<?php }else{ ?>
	footer{background:url(<?php echo esc_url($continal_option['footer_bg']['url']); ?>) repeat;background-color:<?php echo esc_attr($continal_option['footer_bg_color']); ?>;}
<?php } ?>
footer .sub-footer{background:<?php echo esc_attr($continal_option['footer_bottom_bg_color']); ?>}
footer .sub-footer, footer .widget-footer, footer a{color:<?php echo esc_attr($continal_option['footer_text_color']); ?>}
.coming-soon{background-image:url(<?php echo esc_url($continal_option['cms_bg']['url']); ?>);}
header,.nav .main-menu li ul a {background:<?php echo esc_attr($continal_option['header-background-color']); ?>}
header.clone.smaller{background:<?php echo esc_attr($continal_option['header-small-background-color']); ?>}
.nav .main-menu a{color:<?php echo esc_attr($continal_option['header-text-menu-color']); ?>}
.top-info,.top-info a,.top-info .socials a{color:<?php echo esc_attr($continal_option['header-text-info-color']); ?>}

a:hover,
h4 a:hover,
.nav .main-menu a:hover,
.top-info a:hover,
.top-info .socials a:hover,
.header3 .top-info a:hover,
.header3 .nav .main-menu > li > a:hover,
.breadcrumbs a:hover,
.latest-post .item-post .more-link:hover,
.latest-post .owl-controls .owl-buttons div:hover,
.features-box a,
.blog-list .item-post a:hover,
.blog-slider.owl-theme .owl-controls .owl-buttons div:hover,
.blog-list .pagination span,
.blog-list .pagination a:hover,
.blog-list .pagination span:hover,
.blog-single .post-meta a:hover,
.blog-single .post-footer a:hover,
.sidebar .widget li a:hover,
.list-comments .comment-right .comment-info a:hover,
.service-box a:hover,
.title-service a:hover,
.filter-projects li a.current,
.filter-projects li a:hover,
.project-title .project-nav a:hover,
.coming-soon-content .social-icons a:hover,
footer a:hover,
header .top-info.menu-mobile a:hover,
.nav .main-menu a:hover,
 .nav .main-menu a:focus,
 span.color{
	color:<?php echo esc_attr($continal_option['main-color']); ?>;
}

.top-line,
.nav .main-menu li ul a:hover,
.nav .main-menu li ul a:focus,
.acc_active .acc_head,
.acc_head:hover,
.project-slider .owl-controls .owl-buttons div:hover,
.btn-color,.pro-bar,
.type1 li.r-tabs-state-active,
.vc_general.vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel .vc_tta-panel-heading:hover .vc_tta-panel-title a,
.vc_general.vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-heading .vc_tta-panel-title a,
.features .top-icon,
#preloader_1 span,.type3 li.r-tabs-state-active:after{
	background:<?php echo esc_attr($continal_option['main-color']); ?>;
}

.skills-box.box3 .pro-bar{background-color:<?php echo esc_attr($continal_option['main-color']); ?>;}

.top-info .socials a:hover,
.testi-carousel .images .owl-item.synced,
.btn-border:hover,
.btn-border:focus{
	border-color: <?php echo esc_attr($continal_option['main-color']); ?>;
}

.type2 ul{border-bottom: 3px solid <?php echo esc_attr($continal_option['main-color']); ?>;}
.type4 li.r-tabs-state-active,.pricing-table.featured{border-top: 3px solid <?php echo esc_attr($continal_option['main-color']); ?>;}

::-moz-selection {background:<?php echo esc_attr($continal_option['main-color']); ?>}
::selection {background:<?php echo esc_attr($continal_option['main-color']); ?>}

@keyframes preloader_1 {
  0% {
    height: 5px;
    transform: translateY(0px);
    background: <?php echo esc_attr($continal_option['main-color']); ?>;
  }
  25% {
    height: 30px;
    transform: translateY(15px);
    background: <?php echo esc_attr($continal_option['main-color']); ?>;
  }
  50% {
    height: 5px;
    transform: translateY(0px);
    background: <?php echo esc_attr($continal_option['main-color']); ?>;
  }
  100% {
    height: 5px;
    transform: translateY(0px);
    background: <?php echo esc_attr($continal_option['main-color']); ?>;
  }
}

.team-member .overlay{background:rgba(<?php echo esc_attr( $rgba[0] ); ?>, <?php echo esc_attr( $rgba[1] ); ?>, <?php echo esc_attr( $rgba[2] ); ?>, 0.8);}