<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package continal
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php global $continal_option; ?>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE" />
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

    <!-- Favicons
    ================================================== -->
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>    	
    	<?php if($continal_option['favicon']['url'] !=''){ ?>
    		<link rel="icon" href="<?php echo esc_url($continal_option['favicon']['url']); ?>" type="image/x-icon">    
        <?php } ?>
    <?php } ?>

<?php wp_head(); ?>
</head>

<body <?php if($continal_option['theme_style']=='boxed'){if($continal_option['header_layout']=="header3"){body_class('header-tra boxed');}elseif($continal_option['header_layout']=="header4"){body_class('header-tra boxed');}else{body_class('boxed');}}else{if($continal_option['header_layout']=="header3"){body_class('header-tra');}elseif($continal_option['header_layout']=="header4"){body_class('header-tra');}else{body_class();}} ?>>
    
    <?php if($continal_option['preload-switch']==true){ ?>
        <div class="images-preloader">
            <div id="preloader_1" class="rectangle-bounce">
                <span></span>
                <span></span>
                <span></span>
                <span></span>
                <span></span>
            </div>
        </div>
    <?php } ?>

    <?php 
        if(isset($continal_option['header_layout']) and $continal_option['header_layout']=="header2" ){
            get_template_part('framework/headers/header-2');
        }elseif(isset($continal_option['header_layout']) and $continal_option['header_layout']=="header3" ){
            get_template_part('framework/headers/header-3'); 
        }elseif(isset($continal_option['header_layout']) and $continal_option['header_layout']=="header4" ){
            get_template_part('framework/headers/header-4');
        }elseif(isset($continal_option['header_layout']) and $continal_option['header_layout']=="header5" ){
            get_template_part('framework/headers/header-5');
        }elseif(isset($continal_option['header_layout']) and $continal_option['header_layout']=="header6" ){
            get_template_part('framework/headers/header-6');
        }else{  
    ?>
    <div class="top-line"></div>
    <header class="static">     
        <div class="container">
            <h1 class="logo">
                <a href="<?php echo esc_url( home_url('/') ); ?>">
                    <img src="<?php echo esc_url($continal_option['logo']['url']); ?>" alt="">
                </a> 
            </h1>                       
            <div class="top-info">
                <?php echo wp_kses($continal_option['header_text'] , wp_kses_allowed_html('post') ); ?>
                <div class="socials">
                    <?php if($continal_option['facebook']!=''){ ?>                                    
                        <a target="_blank" href="<?php echo esc_url($continal_option['facebook']); ?>"><i class="fa fa-facebook"></i></a>                                   
                    <?php } ?>                                
                    <?php if($continal_option['twitter']!=''){ ?>                                    
                        <a target="_blank" href="<?php echo esc_url($continal_option['twitter']); ?>"><i class="fa fa-twitter"></i></a>                                   
                    <?php } ?>                                
                    <?php if($continal_option['google']!=''){ ?>                                    
                        <a target="_blank" href="<?php echo esc_url($continal_option['google']); ?>"><i class="fa fa-google-plus"></i></a>                                   
                    <?php } ?>
                    <?php if($continal_option['dribbble']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['dribbble']); ?>"><i class="fa fa-dribbble"></i></a>
                    <?php } ?>
                    <?php if($continal_option['pinterest']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['pinterest']); ?>"><i class="fa fa-pinterest"></i></a>
                    <?php } ?>
                    <?php if($continal_option['linkedin']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['linkedin']); ?>"><i class="fa fa-linkedin"></i></a>
                    <?php } ?>                                
                    <?php if($continal_option['youtube']!=''){ ?>                                    
                        <a target="_blank" href="<?php echo esc_url($continal_option['youtube']); ?>"><i class="fa fa-youtube"></i></a>                                  
                    <?php } ?>  
                    <?php if($continal_option['vimeo']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['vimeo']); ?>"><i class="fa fa-vimeo-square"></i></a>
                    <?php } ?>
                    <?php if($continal_option['rss']!=''){ ?>                                    
                        <a target="_blank" href="<?php echo esc_url($continal_option['rss']); ?>"><i class="fa fa-rss"></i></a>                                  
                    <?php } ?>                                                            
                    <?php if($continal_option['skype']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['skype']); ?>"><i class="fa fa-skype"></i></a>
                    <?php } ?>                               
                    <?php if($continal_option['instagram']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['instagram']); ?>"><i class="fa fa-instagram"></i></a>
                    <?php } ?>  
                    <?php if($continal_option['github']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['github']); ?>"><i class="fa fa-github"></i></a>
                    <?php } ?>
                    <?php if($continal_option['soundcloud']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['soundcloud']); ?>"><i class="fa fa-soundcloud"></i></a>
                    <?php } ?>
                    <?php if($continal_option['behance']!=''){ ?>
                        <a target="_blank" href="<?php echo esc_url($continal_option['behance']); ?>"><i class="fa  fa-behance"></i></a>
                    <?php } ?>
                </div>
            </div>
            <button class="btn-toggle"><i class="fa fa-reorder"></i></button>
            <nav class="nav">               
                <?php
                    $primary = array(
                        'theme_location'  => 'primary',
                        'menu'            => '',
                        'container'       => '',
                        'container_class' => '',
                        'container_id'    => '',
                        'menu_class'      => '',
                        'menu_id'         => '',
                        'echo'            => true,
                        'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                        'walker'          => new wp_bootstrap_navwalker(),
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_wrap'      => '<ul class="main-menu">%3$s</ul>',
                        'depth'           => 0,
                    );
                    if ( has_nav_menu( 'primary' ) ) {
                        wp_nav_menu( $primary );
                    }
                ?>  
            </nav>  
        </div>
    </header>
    <?php } ?>
    <!-- header close -->
