<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package continal
 */

global $continal_option;

get_header(); ?>

    <div id="content">
        <div class="entry-content">

            <div class="page-title">
                <div class="container">
                    <h1><?php esc_html__('Company News', 'continal'); ?></h1>
                </div>
            </div>

            <div class="breadcrumbs">
                <div class="container">
                    <?php continal_breadcrumbs(); ?>
                </div>
            </div>

            <div class="page-content blog-page">
                <div class="container">
                    <div class="row">

                        <div class="col-md-9">
                            <div class="blog-list">

                                <?php 
                                    while (have_posts()) : the_post();
                                        get_template_part( 'content', get_post_format() ) ;   // End the loop.
                                    endwhile;
                                ?>

                                <div class="text-center">
                                    <?php echo continal_pagination(); ?>                                 
                                </div>

                            </div>
                        </div>

                        <div class="col-md-3">
                            <?php get_sidebar();?>
                        </div>

                    </div>
                </div>
            </div>

        </div>      
    </div>
    
<?php get_footer(); ?>
