<?php

/*
 * Template Name: Template Coming Soon
 * Description: A Page Template.
 */
 ?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8 no-js lt-ie9" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<?php global $continal_option; ?>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"> 
  <link rel="profile" href="http://gmpg.org/xfn/11">
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
  <!-- Favicons
	================================================== -->
  	<?php if($continal_option['favicon']['url'] !=''){ ?>
		<link rel="icon" href="<?php echo esc_url($continal_option['favicon']['url']); ?>" type="image/x-icon">    
    <?php } ?>
    
<?php wp_head(); ?>
</head>

<div class="images-preloader">
	<?php if($continal_option['preload-switch']==true){ ?>
	  	<div id="preloader_1" class="rectangle-bounce">
	      	<span></span>
	      	<span></span>
	      	<span></span>
	      	<span></span>
	      	<span></span>
	  	</div>
	  <?php } ?>
</div>
<section id="coming-soon" class="coming-soon no-padding">
    
        <div class="coming-soon-content text-center">
          <div class="container">          
            <div class="intro-text">
                <h2><?php echo esc_html__('COMING SOON', 'continal'); ?></h2>
                <p><?php echo esc_html__('Our website is under construction, follow us for update now!', 'continal'); ?></p>
            </div>

            <?php if($continal_option['newsletter']==true){ ?>
	            <div class="newsletter-comingsoon">	                
	                <form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>?na=s" onsubmit="return newsletter_check(this)">
				      	<div class="subscribe">
				      		<input class="newsletter-email input-text" type="email" name="ne" size="30" placeholder="<?php esc_html_e('Your Email', 'continal'); ?>" required>
				      		<button class="ot-btn btn-sradius btn-color" type="submit" value="Subscribe"> <i class="fa fa-paper-plane"></i> <?php echo esc_html__('Subscribe', 'continal'); ?></button>
						</div>
				    </form>
	            </div>
	        <?php } ?>

            <div class="spacer-single"></div>
            <div class="divider-single"></div>
            <div class="col-md-8 col-md-offset-2">                    
                <ul class="countdown">
                  <li> 
                    <span class="days">00</span>
                    <p class="days_ref"><?php esc_html_e('days', 'continal');  ?></p>
                  </li>
                  <li class="seperator"></li>
                  <li>
                    <span class="hours">00</span>
                    <p class="hours_ref"><?php esc_html_e('hours', 'continal');  ?></p>
                  </li>
                  <li class="seperator"></li>
                  <li> 
                    <span class="minutes">00</span>
                    <p class="minutes_ref"><?php esc_html_e('minutes', 'continal');  ?></p>
                  </li>
                  <li class="seperator"></li>
                  <li>
                    <span class="seconds">00</span>
                    <p class="seconds_ref"><?php esc_html_e('seconds', 'continal');  ?></p>
                  </li>
                </ul>
            </div>
            <div class="spacer-single"></div>
            <div class="social-icons col-md-12">
                <?php if($continal_option['facebook']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['facebook']); ?>"><i class="fa fa-lg fa-facebook"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['twitter']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['twitter']); ?>"><i class="fa fa-lg fa-twitter"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['google']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['google']); ?>"><i class="fa fa-lg fa-google"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['github']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['github']); ?>"><i class="fa fa-lg fa-github"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['youtube']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['youtube']); ?>"><i class="fa fa-lg fa-youtube"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['linkedin']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['linkedin']); ?>"><i class="fa fa-lg fa-linkedin"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['dribbble']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['dribbble']); ?>"><i class="fa fa-lg fa-dribbble"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['behance']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['behance']); ?>"><i class="fa fa-lg fa-behance"></i></a>                            
              	<?php } ?>
              	
              	<?php if($continal_option['instagram']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['instagram']); ?>"><i class="fa fa-lg fa-instagram"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['skype']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['skype']); ?>"><i class="fa fa-lg fa-skype"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['pinterest']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['pinterest']); ?>"><i class="fa fa-lg fa-pinterest"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['vimeo']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['vimeo']); ?>"><i class="fa fa-lg fa-vimeo"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['soundcloud']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['soundcloud']); ?>"><i class="fa fa-lg fa-soundcloud"></i></a>                            
              	<?php } ?>
              	<?php if($continal_option['rss']!=''){ ?>                                    
                      	<a target="_blank" href="<?php echo esc_url($continal_option['rss']); ?>"><i class="fa fa-lg fa-rss"></i></a>                            
              	<?php } ?>
            </div>
        </div>            
    </div>
</section>
<script type="text/javascript">
	(function($) { "use strict";

		$(window).load(function() {
	        $('.images-preloader').fadeOut();
	    });
		
		//Count Down

		jQuery(document).ready(function() {		
			
	    
		/**
		 * downCount: Simple Countdown clock with offset
		 * Author: Sonny T. <hi@sonnyt.com>, sonnyt.com
		 */

		
			$.fn.downCount = function (options, callback) {
				var settings = $.extend({
						date: null,
						offset: null
					}, options);

				// Throw error if date is not set
				if (!settings.date) {
					$.error('Date is not defined.');
				}

				// Throw error if date is set incorectly
				if (!Date.parse(settings.date)) {
					$.error('Incorrect date format, it should look like this, 12/24/2012 12:00:00.');
				}

				// Save container
				var container = this;

				/**
				 * Change client's local date to match offset timezone
				 * @return {Object} Fixed Date object.
				 */
				var currentDate = function () {
					// get client's current date
					var date = new Date();

					// turn date to utc
					var utc = date.getTime() + (date.getTimezoneOffset() * 60000);

					// set new Date object
					var new_date = new Date(utc + (3600000*settings.offset))

					return new_date;
				};

				/**
				 * Main downCount function that calculates everything
				 */
				function countdown () {
					var target_date = new Date(settings.date), // set target date
						current_date = currentDate(); // get fixed current date

					// difference of dates
					var difference = target_date - current_date;

					// if difference is negative than it's pass the target date
					if (difference < 0) {
						// stop timer
						clearInterval(interval);

						if (callback && typeof callback === 'function') callback();

						return;
					}

					// basic math variables
					var _second = 1000,
						_minute = _second * 60,
						_hour = _minute * 60,
						_day = _hour * 24;

					// calculate dates
					var days = Math.floor(difference / _day),
						hours = Math.floor((difference % _day) / _hour),
						minutes = Math.floor((difference % _hour) / _minute),
						seconds = Math.floor((difference % _minute) / _second);

						// fix dates so that it will show two digets
						days = (String(days).length >= 2) ? days : '0' + days;
						hours = (String(hours).length >= 2) ? hours : '0' + hours;
						minutes = (String(minutes).length >= 2) ? minutes : '0' + minutes;
						seconds = (String(seconds).length >= 2) ? seconds : '0' + seconds;

					// based on the date change the refrence wording
					var ref_days = (days === 1) ? 'day' : 'days',
						ref_hours = (hours === 1) ? 'hour' : 'hours',
						ref_minutes = (minutes === 1) ? 'minute' : 'minutes',
						ref_seconds = (seconds === 1) ? 'second' : 'seconds';
						

					// set to DOM
					container.find('.days').text(days);
					container.find('.hours').text(hours);
					container.find('.minutes').text(minutes);
					container.find('.seconds').text(seconds);

					container.find('.days_ref').text(ref_days);
					container.find('.hours_ref').text(ref_hours);
					container.find('.minutes_ref').text(ref_minutes);
					container.find('.seconds_ref').text(ref_seconds);
				};
				
				// start
				var interval = setInterval(countdown, 1000);
			};
		
		
			$('.countdown').downCount({
			  date: '<?php echo htmlspecialchars_decode($continal_option['cms_date']); ?> 12:00:00',
			  offset: +10
			}, function () {
			  alert('WOOT WOOT, done!');
			});
		
		});

	})(jQuery);
</script>