<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package continal
 */
get_header(); ?>
	
    <div id="content">
        <div class="entry-content">

            <div class="page-title">
                <div class="container">
                    <h1><?php the_title(); ?></h1>
                </div>
            </div>

            <div class="breadcrumbs">
                <div class="container">
                    <?php continal_breadcrumbs(); ?>
                </div>
            </div>

            <div class="page-content blog-page">
                <div class="container">
                    <div class="row">

                        <div class="col-md-9">
                            <div class="blog-list">

                               <?php while ( have_posts() ) : the_post(); ?>
                                    <?php the_content(); ?>

                                    <?php
                                        // If comments are open or we have at least one comment, load up the comment template.
                                        if ( comments_open() || get_comments_number() ) :
                                            comments_template();
                                        endif;
                                    ?>
                                    <?php wp_link_pages(); ?>
                                <?php endwhile; // End of the loop. ?>

                                <div class="text-center">
                                    <?php echo continal_pagination(); ?>                                 
                                </div>

                            </div>
                        </div>

                        <div class="col-md-3">
                            <?php get_sidebar();?>
                        </div>

                    </div>
                </div>
            </div>

        </div>      
    </div>
    

<?php get_footer(); ?>
