<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package continal
 */

global $continal_option;

get_header(); ?>

    <div id="content">
        <div class="entry-content">

            <div class="page-title">
                <div class="container">
                    <h1>
                        <?php printf( esc_html__( 'Search Results for: %s', 'continal' ), '<span>' . get_search_query() . '</span>' ); ?>
                    </h1>
                </div>
            </div>

            <div class="breadcrumbs">
                <div class="container">
                    <?php continal_breadcrumbs(); ?>
                </div>
            </div>

            <div class="page-content blog-page">
                <div class="container">
                    <div class="row">

                        <div class="col-md-9">
                            <div class="blog-list">

                                <?php if ( have_posts() ) : ?> 
                                <div id="newslist" class="news-list">
                                    <?php 
                                        while (have_posts()) : the_post();
                                            get_template_part( 'content', get_post_format() ) ;   // End the loop.
                                        endwhile;
                                    ?>
                                </div>

                                <div class="clearfix"></div>

                                <div class="text-center ">
                                    <?php echo continal_pagination(); ?>
                                </div>
                                <?php // If no content, include the "No posts found" template.
                                else : ?>
                                    <section class="no-results not-found">                            
                                        <h1><?php esc_html_e( 'Nothing Found', 'continal' ); ?></h1>
                                        
                                        <div class="page-content">
                                            <p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'continal' ); ?></p>
                                            <div class="widget_search">
                                                <?php get_search_form(); ?>
                                            </div>
                                        </div><!-- .page-content -->
                                    </section><!-- .no-results -->
                                <?php endif; ?>  

                            </div>
                        </div>

                        <div class="col-md-3">
                            <?php get_sidebar();?>
                        </div>

                    </div>
                </div>
            </div>

        </div>      
    </div>
    
<?php get_footer(); ?>