<?php 
// Heading
add_shortcode('heading', 'heading_func');
function heading_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=>	'',
		'align'		=>	'',
		'line'		=>	'',	
	), $atts));

	ob_start(); ?>

	<h2 class="<?php if($align=='left'){ echo 'text-left';}elseif($align=='right'){echo 'text-right';}else{echo 'text-center';} ?><?php if($line!=true){echo ' after';} ?>"><?php echo htmlspecialchars_decode($title); ?></h2>

<?php
    return ob_get_clean();
}

// Button
add_shortcode('btn', 'btn_func');
function btn_func($atts, $content = null){
	extract(shortcode_atts(array(
		'linkbox'	=>	'',
		'size'		=>	'',
		'style'		=>	'',
		'use'		=>	'',
		'icon'		=>	'',	
		'el_class'	=>	'',
		'border'	=>	'',
	), $atts));
		$url 	= vc_build_link( $linkbox );
		$size1	= (!empty($size) ? $size : 'btn-small');
		$icon1	= (!empty($icon) ? '<i class="'.$icon.'"></i>' : '' );
		$border1 = (!empty($border) ? $border : 'btn-color');
	ob_start(); ?>

	<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
		echo '<a class="ot-btn '.esc_attr($border1).' '.esc_attr($style).' '.esc_attr($size1).' '.esc_attr($el_class).'" href="' . esc_attr( $url['url'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">'.htmlspecialchars_decode($icon1).'' . esc_attr( $url['title'] ).'</a>';
	} ?>

<?php
    return ob_get_clean();
}

// Service Box Image
add_shortcode('feature_img', 'feature_img_func');
function feature_img_func($atts, $content = null){
	extract(shortcode_atts(array(
		'photo'		=>	'',
		'title'		=>	'',
		'style'		=>	'',	
	), $atts));
		$style1 = (!empty($style) ? $style : 'style1');
		$img = wp_get_attachment_image_src($photo,'full');
		$img = $img[0];
	ob_start(); ?>

	<div class="features<?php if($style1=='style1'){echo ' box2';}elseif($style1=='style3'){echo ' style2';}else{} ?>">
		<?php if($style1=='style3'){ ?><div class="top-img"><?php } ?>
			<img src="<?php echo esc_url($img); ?>" alt="">
		<?php if($style1=='style3'){ ?></div><?php } ?>
		<h4><?php echo htmlspecialchars_decode($title); ?></h4>
		<?php if($content){ ?><p><?php echo htmlspecialchars_decode($content); ?></p><?php } ?>
	</div>

<?php
    return ob_get_clean();
}

// Service Box Icon
add_shortcode('feature_icon', 'feature_icon_func');
function feature_icon_func($atts, $content = null){
	extract(shortcode_atts(array(
		'icon'		=>	'',
		'title'		=>	'',
		'style'		=>	'',	
		'align'		=>	'',
	), $atts));
		$style1 = (!empty($style) ? $style : 'style1');
	ob_start(); ?>

	<?php if($style1=='style1'){ ?>
		<div class="features box4 <?php if($align=='right'){echo 'right';} ?>">
			<h4><i class="<?php echo esc_attr($icon); ?>"></i><?php echo htmlspecialchars_decode($title); ?></h4>
			<?php if($content){ ?><p><?php echo htmlspecialchars_decode($content); ?></p><?php } ?>
		</div>
	<?php } ?>

	<?php if($style1=='style2'){ ?>
		<div class="features box3">
			<div class="top-icon"><i class="<?php echo esc_attr($icon); ?>"></i></div>
			<div class="right-box">
				<h4><?php echo htmlspecialchars_decode($title); ?></h4>
				<?php if($content){ ?><p><?php echo htmlspecialchars_decode($content); ?></p><?php } ?>
			</div>
		</div>
	<?php } ?>

<?php
    return ob_get_clean();
}

// Portfolio Show
add_shortcode('portfoliof', 'portfoliof_func');
function portfoliof_func($atts, $content = null){
	extract(shortcode_atts(array(
		'all'		=> 	'',
		'num'		=> 	'',
		'col'   	=> 	'',
		'style'		=>	'',
		'filter'	=>	'',
	), $atts));

		$all1 	= (!empty($all) ? $all : 'all');
		$num1 	= (!empty($num) ? $num : 8);
		$style1 = (!empty($style) ? $style : 'style1');
		$col1 	= (!empty($col) ? $col : 3); 

	ob_start(); ?>

	<section class="list-projects list2">
		<?php if($filter==true){ ?>
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<ul id="filter" class="filter-projects none-style">
							<li><a href="#" class="current" data-filter="*" title=""><?php echo htmlspecialchars_decode($all1); ?></a></li>
							<?php 
	                  			$categories = get_terms('categories');
	                   			foreach( (array)$categories as $categorie){
	                    			$cat_name = $categorie->name;
	                    			$cat_slug = $categorie->slug;
	            			?>
	            			<li><a href="#" data-filter=".<?php echo htmlspecialchars_decode( $cat_slug ); ?>" title=""><?php echo htmlspecialchars_decode( $cat_name ); ?></a></li>
	            			<?php } ?>
						</ul>
					</div>							
				</div>
			</div>
		<?php } ?>

		<?php if($style1=='style1'){ ?>
			<div id="gallery" class="latest-list all-project all-project-v2">
				<?php 
	      			$args = array(   
	        			'post_type' => 'portfolio',   
	        			'posts_per_page' => $num1,	            
	      			);  
	      			$wp_query = new WP_Query($args);
	      			while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
	      			$cates = get_the_terms(get_the_ID(),'categories');
	      			$cate_name ='';
	      			$cate_slug = '';
	          		foreach((array)$cates as $cate){
	          			if(count($cates)>0){
	            			$cate_name .= $cate->name.' <span>,</span> ' ;
	            			$cate_slug .= $cate->slug .' ';     
	          			} 
	      			}
	    		?>
	    		<?php $image = wp_get_attachment_url(get_post_thumbnail_id()); ?>
				<div class="item item-latest <?php echo esc_attr($cate_slug); ?> <?php if($col==4){echo 'col4';}elseif($col==5){echo 'col5';}else{} ?>">
					<div class="image-project" >
						<img src="<?php echo esc_url($image); ?>" alt="">
						<a href="<?php the_permalink(); ?>" class="overlay"></a>
						<div class="content-bottom">
							<div class="inner">
								<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
								<div class="cat-name"><?php echo htmlspecialchars_decode($cate_name); ?></div>
							</div>
						</div>
					</div>
				</div>
				<?php endwhile; wp_reset_postdata(); ?>
			</div>
		<?php } ?>

		<?php if($style1=='style2'){ ?>
			<div id="gallery" class="all-project all-project-v1">
				<?php 
	      			$args = array(   
	        			'post_type' => 'portfolio',   
	        			'posts_per_page' => $num1,	            
	      			);  
	      			$wp_query = new WP_Query($args);
	      			while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
	      			$cates = get_the_terms(get_the_ID(),'categories');
	      			$cate_name ='';
	      			$cate_slug = '';
	          		foreach((array)$cates as $cate){
	          			if(count($cates)>0){
	            			$cate_name .= $cate->name.' <span>,</span> ' ;
	            			$cate_slug .= $cate->slug .' ';     
	          			} 
	      			}
	    		?>
	    		<?php $image = wp_get_attachment_url(get_post_thumbnail_id()); ?>
				<div class="item <?php echo esc_attr($cate_slug); ?> <?php if($col==4){echo 'col4';}elseif($col==5){echo 'col5';}else{} ?>">									
					<div class="project-box ">
						<a href="<?php the_permalink(); ?>" class="image-project">
							<img src="<?php echo esc_url($image); ?>" alt="">
							<span class="overlay"></span>
						</a>
						<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
						<div class="cat-name"><?php echo htmlspecialchars_decode($cate_name); ?></div>
					</div>
				</div>
				<?php endwhile; wp_reset_postdata(); ?>
			</div>
		<?php } ?>

		<?php if($style1=='style3'){ ?>		
			<div id="gallery" class="all-project all-project-v2">
				<?php 
	      			$args = array(   
	        			'post_type' => 'portfolio',   
	        			'posts_per_page' => $num1,	            
	      			);  
	      			$wp_query = new WP_Query($args);
	      			while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
	      			$cates = get_the_terms(get_the_ID(),'categories');
	      			$cate_name ='';
	      			$cate_slug = '';
	          		foreach((array)$cates as $cate){
	          			if(count($cates)>0){
	            			$cate_name .= $cate->name.' <span>,</span> ' ;
	            			$cate_slug .= $cate->slug .' ';     
	          			} 
	      			}
	    		?> 
	    		<?php $image = wp_get_attachment_url(get_post_thumbnail_id()); ?>	
				<div class="item <?php if($col==4){echo 'col4';}elseif($col==5){echo 'col5';}else{} ?> <?php echo esc_attr($cate_slug); ?>">
					<div class="project-box ">
						<a href="<?php the_permalink(); ?>" class="image-project" >
							<img src="<?php echo esc_url($image); ?>" alt="">
							<span class="overlay"></span>
						</a>
						<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
						<div class="cat-name"><?php echo htmlspecialchars_decode($cate_name); ?></div>
					</div>
				</div>
				<?php endwhile; wp_reset_postdata(); ?>
			</div>
		<?php } ?>
		
	</section>

<?php
    return ob_get_clean();
}

// Video Post
add_shortcode('videoplayer', 'videoplayer_func');
function videoplayer_func($atts, $content = null){
	extract(shortcode_atts(array(
		'video'		=> 	'',
		'photo'		=>	'',
	), $atts));
		$img = wp_get_attachment_image_src($photo,'full');
		$img = $img[0];
	ob_start(); ?>

	<figure class="vimeo"> 
		<a href="<?php echo esc_url($video); ?>">
			<?php if($photo){ ?>
				<img src="<?php echo esc_url($img); ?>" alt="" />
				<img class="btn-play" src="<?php echo get_template_directory_uri().'/images/video-play.png' ?>" alt="" />
			<?php } ?>
		</a>
	</figure>
	<script type="text/javascript"> 
		(function($) { "use strict";
			$('.vimeo a,.youtube a').click(function (e) {
				e.preventDefault();
				var videoLink = $(this).attr('href');
				var classeV = $(this).parent();
				var PlaceV = $(this).parent();
				if ($(this).parent().hasClass('youtube')) {
					$(this).parent().wrapAll('<div class="video-wrapper">');
					$(PlaceV).html('<iframe frameborder="0" height="333" src="' + videoLink + '?autoplay=1&showinfo=0" title="YouTube video player" width="100%"></iframe>');
				} else {
					$(this).parent().wrapAll('<div class="video-wrapper">');
					$(PlaceV).html('<iframe src="' + videoLink + '?title=0&amp;byline=0&amp;portrait=0&amp;autoplay=1&amp;color=cfa144" width="100%" height="300" frameborder="0"></iframe>');
				}
			});		
		})(jQuery);
	</script>

<?php
    return ob_get_clean();
}

// Call To Action
add_shortcode('callto', 'callto_func');
function callto_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=> 	'',
		'linkbox'	=>	'',
	), $atts));
		$url 	= vc_build_link( $linkbox );
	ob_start(); ?>

	
	<div class="call-action">
		<h4><?php echo htmlspecialchars_decode($title); ?></h4>
		<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
			echo '<a class="ot-btn btn-color" href="' . esc_attr( $url['url'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_attr( $url['title'] ).'</a>';
		} ?>
	</div>

<?php
    return ob_get_clean();
}

// Testimonial Silder
add_shortcode('testslide','testslide_func');
function testslide_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>	'',
		'align'		=>	'left',
	), $atts));
		$number1 = (!empty($number) ? $number : '-1');
	ob_start(); 
?>

	<div class="testi-carousel <?php if($align=='center'){echo 'text-center';}else{} ?>">
		<div id="sync-3" class="owl-carousel text">
			<?php			
				$args = array(
					'post_type' => 'testimonial',
					'posts_per_page' => $number1,
				);
				$testimonial = new WP_Query($args);
				if($testimonial->have_posts()) : while($testimonial->have_posts()) : $testimonial->the_post();
			?>
			<div class="item">
				<?php the_content(); ?>
				<div class="info">
					<strong><?php the_title(); ?></strong>
					<span><?php echo esc_attr($job); ?><?php if($company){ ?>, <?php echo esc_attr($company); ?><?php } ?></span>
				</div>
			</div>
			<?php endwhile; wp_reset_postdata(); endif; ?>
		</div>

		<div id="sync-4" class="owl-carousel images">
			<?php			
				$args = array(
					'post_type' => 'testimonial',
					'posts_per_page' => $number1,
				);
				$testimonial = new WP_Query($args);
				if($testimonial->have_posts()) : while($testimonial->have_posts()) : $testimonial->the_post();
				$job = get_post_meta(get_the_ID(),'_cmb_job_testi', true);
				$company = get_post_meta(get_the_ID(),'_cmb_company_testi', true);
				$image = wp_get_attachment_url(get_post_thumbnail_id()); 
			?>
			<div class="testi-img">
				<img src="<?php echo esc_url($image); ?>" alt="">
			</div>
			<?php endwhile; wp_reset_postdata(); endif; ?>
		</div>
	</div>

<?php
    return ob_get_clean();
}

// Logo Clients
add_shortcode('clients','clients_func');
function clients_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		=> 	'',
		'col'		  	=>	'',	
	), $atts));
		$img = wp_get_attachment_image_src($gallery,'full');
		$img = $img[0];
		$col1 = (!empty($col) ? $col : 4);
	ob_start(); ?>
	
		<?php $i=rand(0,9999999); ?>
		<div id="owl-logos-<?php echo esc_attr($i); ?>" class="list-logo owl-carousel owl-theme owl-logos">
			<?php 
				$img_ids = explode(",",$gallery);
				foreach( $img_ids AS $img_id ){
				$meta = wp_prepare_attachment_for_js($img_id);
				$caption = $meta['caption'];
				$title = $meta['title'];	
				$description = $meta['description'];
				$image_src = wp_get_attachment_image_src($img_id,''); 
			?>
				<div class="item item-logo"<?php echo esc_attr($background_color1); ?>><?php if($caption){ ?><a href="<?php echo esc_url($caption); ?>" target="_blank" ><?php } ?><img src="<?php echo esc_url( $image_src[0] ); ?>" alt=""><?php if($caption){ ?></a><?php } ?></div>
			<?php } ?>
		</div>

		<script>
			(function($) { "use strict";
				$(document).ready(function() {
					$("#owl-logos-<?php echo esc_attr($i); ?>").owlCarousel({
						items : <?php echo esc_attr($col1); ?>,
						itemsDesktop : [1000,<?php echo esc_attr($col1); ?>], 
						itemsDesktopSmall : [900,3],
						itemsTablet: [600,2], 
						itemsMobile : false, 
						pagination : false,
						autoPlay : 3000,
						slideSpeed : 300
					});	
				});	
			})(jQuery); 
		</script>

<?php
    return ob_get_clean();	
}

// Lastest Blog Slider
add_shortcode('latestblog','latestblog_func');
function latestblog_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>		'',
		'excerpt'   =>		'',
		'col'	=>		'',
	), $atts));
		$number1 = (!empty($number) ? $number : 5);
		$excerpt1 = (!empty($excerpt) ? $excerpt : 19);
		$col1 = (!empty($col) ? $col : 2);
	ob_start(); ?>	
	
    <div id="latest-post" class="owl-carousel latest-post">
    	<?php 
		    $args = array(   
		        'post_type' => 'post',   
		        'posts_per_page' => $number1,
		    );  
		    $wp_query = new WP_Query($args);
		    while($wp_query->have_posts()) : $wp_query->the_post(); 
	    ?>
		<div class="item-post">

			<?php $format = get_post_format(); ?>

		  	<?php if($format=='image'){ ?>	  		
				
				<?php if ( has_post_thumbnail() ) { 
					the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) ); ?>
				<?php }else{ ?>
					<?php if( function_exists( 'rwmb_meta' ) ) { ?>
						<?php $images = rwmb_meta( '_cmb_image', "type=image" ); ?>
						<?php  foreach ( $images as $image ) {  ?>
		                    <?php $img = $image['full_url']; ?>
		                    <img src="<?php echo esc_url($img); ?>" class="img-responsive" alt="">
		                <?php } ?> 
		            <?php } ?>
				<?php } ?>				

			<?php }elseif($format=='gallery'){ ?>

				<?php if ( has_post_thumbnail() ) { 
					the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) ); ?>
				<?php }else{ ?>
					<div id="owl-blog-slider-<?php the_ID() ?>" class="blog-slider owl-carousel owl-theme">
						<?php if( function_exists( 'rwmb_meta' ) ) { ?>
		                    <?php $images = rwmb_meta( '_cmb_images', "type=image" ); ?>
		                    <?php if($images){ ?>                  
		                        <?php                                                        
		                            foreach ( $images as $image ) {                              
		                        ?>
		                        <?php $img = $image['full_url']; ?>
		                            <div class="item"><img src="<?php echo esc_url($img); ?>" alt=""></div> 
		                        <?php } ?>                                     
		                    <?php } ?>
		                <?php } ?>
		            </div>
	                <script type="text/javascript">
					    (function($) { "use strict";
					        $(document).ready(function() {
					            $("#owl-blog-slider-<?php the_ID(); ?>").owlCarousel({
					                pagination : false,
					                navigation:true,
					                transitionStyle : "fade",
					                slideSpeed : 500,
					                paginationSpeed : 500,
					                singleItem:true,
					                autoPlay: 5000,
					                navigationText: [
					                    "<i class='fa fa-chevron-left'></i>",
					                    "<i class='fa fa-chevron-right'></i>"
					                ],
					            });
					        });
					    })(jQuery);
					</script>
				<?php } ?>

			<?php }elseif($format=='video'){ ?>

				<?php if ( has_post_thumbnail() ) { 
					the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) ); ?>
				<?php }else{ ?>
					<?php if( function_exists( 'rwmb_meta' ) ) { ?>
		                <?php $link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true); ?>
		                <?php if($link_video){ ?>  
		                    <?php echo wp_oembed_get( $link_video ); ?>                       
		                <?php } ?>
		            <?php } ?>
				<?php } ?>

			<?php }elseif($format=='audio'){ ?>

				<?php if ( has_post_thumbnail() ) { 
					the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) ); ?>
				<?php }else{ ?>
					<?php if( function_exists( 'rwmb_meta' ) ) { ?>
		                <?php $link_audio = get_post_meta(get_the_ID(),'_cmb_link_audio', true); ?>
		                <?php if($link_audio){ ?>  
		                    <iframe style="width:100%" src="<?php echo esc_url( $link_audio ); ?>"></iframe>
		                <?php } ?>
		            <?php } ?> 
				<?php } ?>

			<?php }else{ ?>

				<?php the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) ); ?>

			<?php } ?>

			<div class="desc">
				<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
				<p><?php echo continal_blog_excerpt($excerpt1); ?></p>
				<p><a href="<?php the_permalink(); ?>" class="more-link"><?php esc_html_e('CONTINUE READING', 'continal'); ?></a></p>
			</div>
			<p class="date-post"><?php the_time( get_option( 'date_format' ) ); ?></p>
		</div>
		<?php endwhile; wp_reset_postdata(); ?>
	</div>
	<script type="text/javascript">
	    (function($) { "use strict";
	        $(document).ready(function() {
	            $("#latest-post").owlCarousel({
			        navigation: true, 
			        slideSpeed : 600,
			        autoPlay : false,
			        items : <?php echo esc_attr($col1); ?>,
					itemsDesktop      : [1199,<?php echo esc_attr($col1); ?>],
					itemsDesktopSmall     : [979,2],
					itemsTablet       : [768,2],
					itemsMobile       : [479,1],
			        pagination: false,
			        navigationText: [
				      "<i class='fa fa-chevron-left'></i>",
				      "<i class='fa fa-chevron-right'></i>"
				    ],
			    });
	        });
	    })(jQuery);
	</script>

<?php
    return ob_get_clean();
}

// Feature Box
add_shortcode('feature_box', 'feature_box_func');
function feature_box_func($atts, $content = null){
	extract(shortcode_atts(array(
		'photo'		=>	'',
		'title'		=>	'',
		'linkbox'	=>	'',	
	), $atts));
		$url 	= vc_build_link( $linkbox );
		$img = wp_get_attachment_image_src($photo,'full');
		$img = $img[0];
	ob_start(); ?>

	<div class="features-box">
		<img src="<?php echo esc_url($img); ?>" alt="">
		<div class="overlay">
			<div class="content-mid">
				<div class="inner">
					<h4><?php echo htmlspecialchars_decode($title); ?></h4>
					<p><?php echo htmlspecialchars_decode($content); ?></p>					
					<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
						echo '<a class="more-link" href="' . esc_attr( $url['url'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_attr( $url['title'] ).'</a>';
					} ?>
				</div>
			</div>
		</div>										
	</div>

<?php
    return ob_get_clean();
}

// Lastest Service Grid
add_shortcode('lastestser','lastestser_func');
function lastestser_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>		'',
		'col'		=>		'2',
	), $atts));
		$number1 = (!empty($number) ? $number : '-1');
	ob_start(); ?>	
    
	<div class="row">
		<?php 
		    $args = array(   
		        'post_type' => 'service',   
		        'posts_per_page' => $number1,
		    );  
		    $wp_query = new WP_Query($args);
		    while($wp_query->have_posts()) : $wp_query->the_post(); 
		    $image = wp_get_attachment_url(get_post_thumbnail_id());
	    ?>
	    
	    <div class="<?php if($col=='4'){echo 'col-md-3';}elseif($col=='3'){echo 'col-md-4';}else{echo 'col-md-6';} ?>">
		    <div class="service-box">
				<a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url($image); ?>" alt=""></a>
				<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
				<?php echo the_excerpt(); ?>
				<a href="<?php the_permalink(); ?>" class="more-link"><?php esc_html_e('Read More', 'continal'); ?></a>
			</div>
		</div>
		
		<?php endwhile; wp_reset_postdata(); ?>
	</div>

<?php
    return ob_get_clean();
}

// Our Team
add_shortcode('team', 'team_func');
function team_func($atts, $content = null){
	extract(shortcode_atts(array(
		'photo'		=>	'',
		'name'		=>	'',
		'job'		=>	'',
		'contact1'	=>	'',
		'contact2'	=>	'',
		'contact3'	=>	'',
		'contact4'	=>	'',
		'url1'		=>	'',
		'url2'		=>	'',
		'url3'		=>	'',
		'url4'		=>	'',
	), $atts)); 
		$img = wp_get_attachment_image_src($photo,'full');
		$img = $img[0];
	ob_start(); ?>

	<div class="team-member">
		<div class="member-image">
			<img src="<?php echo esc_url($img); ?>" alt="">
			<div class="overlay">
				<?php if($contact1 | $contact2 | $contact3 | $contact4){ ?>
					<div class="social-team">
						<?php if($contact1){ ?><a href="<?php echo esc_url($url1); ?>"><i class="<?php echo esc_attr($contact1); ?>"></i></a><?php } ?>
						<?php if($contact2){ ?><a href="<?php echo esc_url($url2); ?>"><i class="<?php echo esc_attr($contact2); ?>"></i></a><?php } ?>
						<?php if($contact3){ ?><a href="<?php echo esc_url($url3); ?>"><i class="<?php echo esc_attr($contact3); ?>"></i></a><?php } ?>
						<?php if($contact4){ ?><a href="<?php echo esc_url($url4); ?>"><i class="<?php echo esc_attr($contact4); ?>"></i></a><?php } ?>
					</div>
				<?php } ?>
			</div>
		</div>
		<h5><?php echo htmlspecialchars_decode($name); ?></h5>
		<p><?php echo htmlspecialchars_decode($job); ?></p>									
	</div>

<?php
    return ob_get_clean();
}

// Our Skill
add_shortcode('skill', 'skill_func');
function skill_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=>	'',
		'number'	=>	'',
		'style'		=>	'',
		'pattern'	=>	'',
		'el_class'	=>	'',
	), $atts)); 
		
	ob_start(); ?>

	<div class="skills-box <?php if($style=='style2'){echo 'box2';} ?> <?php if($pattern==true){echo 'box3';} ?>">
		<div class="skills-name"><?php echo htmlspecialchars_decode($title); ?><span><span class="counter-skills"><?php echo esc_attr($number); ?></span>%</span></div>
		<div class="pro-bar-container">					
			<div class="pro-bar <?php echo esc_attr($el_class); ?>" data-pro-bar-percent="<?php echo esc_attr($number); ?>" style="width: <?php echo esc_attr($number); ?>%;"></div>
		</div>
	</div>

	<script type="text/javascript">
	    (function($) { "use strict";
	        function animateProgressBar() {
				$('.pro-bar').each(function(i, elem) {
					var	elem = $(this),
						percent = elem.attr('data-pro-bar-percent'),
						delay = elem.attr('data-pro-bar-delay');

					if (!elem.hasClass('animated'))
						elem.css({ 'width' : '0%' });

					if (elem.visible(true)) {
						setTimeout(function() {
							elem.animate({ 'width' : percent + '%' }, 2000, 'easeInOutExpo').addClass('animated');
						}, delay);
					} 
				});
			}
			$(document).ready(function() {
				animateProgressBar();
			});
			$(window).resize(function() {
				animateProgressBar();
			});
			$(window).scroll(function() {
				animateProgressBar();
				if ($(window).scrollTop() + $(window).height() == $(document).height())
					animateProgressBar();
			});	
	    })(jQuery);
	</script>

<?php
    return ob_get_clean();
}

// Tab
$GLOBALS['tabs'] = array();
add_shortcode('tab_slider', 'tab_slider_func');
function tab_slider_func( $atts, $content ) {
  	extract(shortcode_atts(array(
   		'el_class' 		=>	'',
   		'style'			=>	'',
  	), $atts ));
  		$n = rand(0,9999999);
  		$i = 1;
  		$j = 1;
  		$style1 = (!empty($style) ? $style : 'type1 content-tabs');
  	ob_start();
?>
                   
<?php 

  	$GLOBALS['tabs'] = array();

  	do_shortcode( $content );

  	if ( empty( $GLOBALS['tabs'] ) ) {
   		return '';
  	}

   	$content_panel  = array();
   	$content_nav 	= array();
  	$total      	= count( $GLOBALS['tabs'] );  	

  	if ( ! $total ) {
   		return '';
  	}
  
  	foreach( $GLOBALS['tabs'] as $index => $tab ) {

  		if($tab['subtitle']){
	  		$content_panel[] = sprintf(

		   		'<div id="tab%s%s"><p>%s</p></div>',		   		
			    
		   		$n,$i++,esc_attr( $tab['subtitle'] )    
		  	);
		}

  		if($tab['title']){
  			$content_nav[] = sprintf(

		   		'<li><a href="#tab%s%s"> %s </a></li>',	

		   		$n,$j++,esc_attr( $tab['title'] )    
		  	);
  		}
	   	
	} ?>

<?php 
	return sprintf( 
			'<div id="continal-tab" class="continal-tabs %s">
				<ul class="none-style">%s</ul>
				<div class="%s">%s</div>
			</div>',
			$style1,			
			implode('', $content_nav),
			$style1,
			implode('', $content_panel)
		);
?>

<?php 
} 

//Single Plan
add_shortcode('tab_item', 'tab_item_func');
function tab_item_func( $atts, $content ) {
  $atts = shortcode_atts(array(
   'title'      	=> '',
   'subtitle'       => '',
  ), $atts );

  $GLOBALS['tabs'][] = array(
   'title'      	=> $atts['title'],
   'subtitle'       => $atts['subtitle'],
  );

  return '';
}

// Pricing Table
add_shortcode('table', 'table_func');
function table_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=>	'',
		'price'		=>	'',
		'unit'		=>	'',
		'feature'	=>	'',
		'el_class'	=>	'',
		'linkbox'	=>	'',
	), $atts)); 
		$url 	= vc_build_link( $linkbox );
	ob_start(); ?>

	<div class="pricing-table <?php if($feature==true){echo 'featured';} ?>">
		<div class="top-plan">
			<div class="price"><span><?php echo esc_attr($unit); ?></span><?php echo esc_attr($price); ?></div>
			<div class="name-plan"><?php echo htmlspecialchars_decode($title); ?></div>
		</div>
		<?php echo htmlspecialchars_decode($content); ?>
		<div class="action-plan">
			<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
				echo '<a class="ot-btn btn-color '.esc_attr($el_class).'" href="' . esc_attr( $url['url'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">' . esc_attr( $url['title'] ).'</a>';
			} ?>
		</div>
	</div>

<?php
    return ob_get_clean();
}

// Image Grid
add_shortcode('image_grid', 'image_grid_func');
function image_grid_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		=>	'',
		'col'			=>	'',
	), $atts)); 
		$col1 = (!empty($col) ? $col : 2);
	ob_start(); ?>

	<div class="s-images">
		<?php 
			$img_ids = explode(",",$gallery);
			foreach( $img_ids AS $img_id ){			
			$image_src = wp_get_attachment_image_src($img_id,''); 
		?>
			<a class="item-image <?php if($col1==4){echo 'col4';}elseif($col1==3){echo 'col3';}else{echo 'col2';} ?>" href="<?php echo esc_url( $image_src[0] ); ?>">
				<img src="<?php echo esc_url( $image_src[0] ); ?>" alt="">
			</a>
		<?php } ?>
	</div>

<?php
    return ob_get_clean();
}

// Image Gallery
add_shortcode('image_gallery', 'image_gallery_func');
function image_gallery_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		=>	'',
	), $atts)); 
		
	ob_start(); ?>

	<div class="project-slider owl-carousel">
		<?php 
			$img_ids = explode(",",$gallery);
			foreach( $img_ids AS $img_id ){			
			$image_src = wp_get_attachment_image_src($img_id,''); 
		?>
			<div><img src="<?php echo esc_url( $image_src[0] ); ?>" alt=""></div>
		<?php } ?>
	</div>

<?php
    return ob_get_clean();
}

// Google Map
add_shortcode('maps','maps_func');
function maps_func($atts, $content = null){
	extract(shortcode_atts(array(		
		'iconmap'	 	=> 	'',
		'address'       => 	'',
		'des'			=>	'',		
		'latitude'		=> 	'',
		'longitude'	 	=> 	'',
		'zoommap'       => 	'',
		'height'		=> 	'',	
	), $atts));
		$img = wp_get_attachment_image_src($iconmap,'full');
		$img = $img[0];
		$height1 = (!empty($height) ? $height : 400);
		$zoommap1 = (!empty($zoommap) ? $zoommap : 15);
	ob_start(); ?>

	<div id="google_map" style="position: relative;width: 100%;height: <?php echo esc_attr($height1); ?>px;"></div>	

	<script type="text/javascript">

	(function($) { "use strict";

		$(document).ready(function(){
			var	main_color = '#cccccc',
				saturation_value= -100,
				brightness_value= 9;
			var style= [ 
				{
					//set saturation for the labels on the map
					elementType: "labels",
					stylers: [
						{saturation: saturation_value}
					]
				},  
				{	//poi stands for point of interest - don't show these lables on the map 
					featureType: "poi",
					elementType: "labels",
					stylers: [
						{visibility: "off"}
					]
				},
				{
					//don't show highways lables on the map
					featureType: 'road.highway',
					elementType: 'labels',
					stylers: [
						{visibility: "off"}
					]
				}, 
				{ 	
					//don't show local road lables on the map
					featureType: "road.local", 
					elementType: "labels.icon", 
					stylers: [
						{visibility: "off"} 
					] 
				},
				{ 
					//don't show arterial road lables on the map
					featureType: "road.arterial", 
					elementType: "labels.icon", 
					stylers: [
						{visibility: "off"}
					] 
				},
				{
					//don't show road lables on the map
					featureType: "road",
					elementType: "geometry.stroke",
					stylers: [
						{visibility: "off"}
					]
				}, 
				//style different elements on the map
				{ 
					featureType: "transit", 
					elementType: "geometry.fill", 
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				}, 
				{
					featureType: "poi",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "poi.government",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "poi.sport_complex",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "poi.attraction",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "poi.business",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "transit",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "transit.station",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "landscape",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
					
				},
				{
					featureType: "road",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				},
				{
					featureType: "road.highway",
					elementType: "geometry.fill",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				}, 
				{
					featureType: "water",
					elementType: "geometry",
					stylers: [
						{ hue: main_color },
						{ visibility: "on" }, 
						{ lightness: brightness_value }, 
						{ saturation: saturation_value }
					]
				}
			];
			var e=new google.maps.LatLng(<?php echo esc_attr($latitude); ?>,<?php echo esc_attr($longitude); ?>),
				o={zoom:<?php echo esc_attr($zoommap1); ?>,center:new google.maps.LatLng(<?php echo esc_attr($latitude); ?>,<?php echo esc_attr($longitude); ?>),
				mapTypeId:google.maps.MapTypeId.ROADMAP,
				mapTypeControl:!1,
				scrollwheel:!1,
				draggable:!0,
				navigationControl:!1,
				styles: style,
			},
				n=new google.maps.Map(document.getElementById("google_map"),o);
				google.maps.event.addDomListener(window,"resize",function(){var e=n.getCenter();
				google.maps.event.trigger(n,"resize"),n.setCenter(e)});
				
				var g='<div class="map-tooltip"><h4><?php echo htmlspecialchars_decode($address); ?></h4><p><?php echo htmlspecialchars_decode($des); ?></p></div>',a=new google.maps.InfoWindow({content:g})
				,t=new google.maps.MarkerImage("<?php echo esc_url($img); ?>",new google.maps.Size(40,70),
				new google.maps.Point(0,0),new google.maps.Point(20,55)),
				i=new google.maps.LatLng(<?php echo esc_attr($latitude); ?>,<?php echo esc_attr($longitude); ?>),
				p=new google.maps.Marker({position:i,map:n,icon:t,zIndex:3});
				google.maps.event.addListener(p,"click",function(){a.open(n,p)}),
				$(".button-map").on( 'click', function(){$("#google_map").slideToggle(300,function(){google.maps.event.trigger(n,"resize"),n.setCenter(e)}),
				$(this).toggleClass("close-map show-map")});

		});

	})(jQuery);	

	</script>

	<?php

    return ob_get_clean();

}

?>