
<?php 
	get_header(); 
    $text_call = get_post_meta(get_the_ID(),'_cmb_text_call', true);
    $btn_text = get_post_meta(get_the_ID(),'_cmb_btn_text', true);
    $btn_link = get_post_meta(get_the_ID(),'_cmb_btn_link', true);
?>

<div id="content">
    <div class="entry-content">

        <div class="page-title"
            <?php if( function_exists( 'rwmb_meta' ) ) { ?>        
                <?php $images = rwmb_meta( '_cmb_subheader_image', "type=image" ); ?>
                <?php if($images){ foreach ( $images as $image ) { ?>
                <?php 
                $img =  $image['full_url']; ?>
                  style="background: url('<?php echo esc_url($img); ?>');background-size:cover;"
                <?php } } ?>
            <?php } ?>
        >
            <div class="container">
                <h1><?php the_title(); ?></h1>
            </div>
        </div>

        <div class="breadcrumbs">
            <div class="container">
                <?php continal_breadcrumbs(); ?>
            </div>
        </div>

        <div class="page-content">
            <section class="single-services">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="title-service">
                                <ul class="none-style">
                                    <?php
                                        $args = array(
                                            'post_type' => 'service',
                                            'posts_per_page' => -1,
                                        );
                                        $service = new WP_Query($args);
                                        if($service->have_posts()) : while($service->have_posts()) : $service->the_post();                      
                                    ?>                                     
                                        <li id="post-<?php the_ID(); ?>"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
                                    <?php endwhile; endif; ?> 
                                </ul>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="service-details">
                                <?php while (have_posts()) : the_post()?>
                                    <?php the_content(); ?>
                                <?php endwhile; ?>
                            </div>
                        </div>                          
                    </div>
                </div>
            </section>

            <?php if($text_call){ ?>
                <section class="action-about">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="call-action">
                                    <h4><?php echo htmlspecialchars_decode($text_call) ?></h4>
                                    <a href="<?php echo esc_url($btn_link); ?>" class="ot-btn btn-color"><?php echo esc_attr($btn_text); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            <?php } ?>
                        
        </div>

    </div>      
</div>

<script type="text/javascript">
    (function($) { "use strict";
        $('#post-<?php the_ID(); ?>').addClass('active');
    })(jQuery); 
</script>	
<?php get_footer(); ?>