<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package continal
 */
$subtitle = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);
$link_audio = get_post_meta(get_the_ID(),'_cmb_link_audio', true);
$link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true);
get_header(); ?>

	<div id="content">
		<div class="entry-content">

			<div class="page-title">
                <div class="container">
                    <h1><?php echo esc_html($continal_option['the_blog_title']); ?></h1>
                </div>
            </div>

			<div class="breadcrumbs">
                <div class="container">
                    <?php continal_breadcrumbs(); ?>
                </div>
            </div>
			
			<div class="page-content blog-page">
				<div class="container">
					<div class="row">
						<?php while (have_posts()) : the_post(); ?>
						<?php if($continal_option['blog_layout']=='style1'){ ?><div class="col-md-9"><?php }else{ ?><div class="col-md-12"><?php } ?>
							<div class="blog-list blog-single">

								<article class="post">
									<h1 class="post-title"><?php the_title(); ?></h1>
									<p class="post-meta">
										<span><?php the_time( get_option( 'date_format' ) ); ?></span>
										<?php the_author_posts_link(); ?>
										<?php the_category(', ') ?>
										<span><?php comments_number( esc_html__('0 comment', 'continal'), esc_html__('1 comment', 'continal'), __('% comments', 'continal') ); ?></span>
									</p>

									<?php $format = get_post_format(); ?>

									<?php if($format=='image'){ ?>
										<div class="post-thumbail">
											<?php if( function_exists( 'rwmb_meta' ) ) { ?>
								                <?php $images = rwmb_meta( '_cmb_image', "type=image" ); ?>
								                <?php if($images){ ?>              
								                    <?php  foreach ( $images as $image ) {  ?>
								                        <?php $img = $image['full_url']; ?>
								                        <img src="<?php echo esc_url($img); ?>" class="img-responsive" alt="">
								                    <?php } ?>                
								                <?php }else{
								                    if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
								                        the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) );
								                    } 
								                } ?>
								            <?php } ?>
										</div>
									<?php } ?>

									<?php if($format=='gallery'){ ?>
										<div class="post-thumbail">
											<div id="owl-blog-slider-<?php the_ID() ?>" class="blog-slider owl-carousel owl-theme">
      
								                <?php if( function_exists( 'rwmb_meta' ) ) { ?>
								                    <?php $images = rwmb_meta( '_cmb_images', "type=image" ); ?>
								                    <?php if($images){ ?>                  
								                        <?php                                                        
								                            foreach ( $images as $image ) {                              
								                        ?>
								                        <?php $img = $image['full_url']; ?>
								                            <div class="item"><img src="<?php echo esc_url($img); ?>" alt=""></div> 
								                        <?php } ?>                                     
								                    <?php } ?>
								                <?php } ?>

								            </div>
										</div>
										<script type="text/javascript">
										    (function($) { "use strict";
										        $(document).ready(function() {
										            $("#owl-blog-slider-<?php the_ID(); ?>").owlCarousel({
										                pagination : false,
										                navigation:true,
										                transitionStyle : "fade",
										                slideSpeed : 500,
										                paginationSpeed : 500,
										                singleItem:true,
										                autoPlay: 5000,
										                navigationText: [
										                    "<i class='fa fa-chevron-left'></i>",
										                    "<i class='fa fa-chevron-right'></i>"
										                ],
										            });
										        });
										    })(jQuery);
										</script>
									<?php } ?>

									<?php if($format=='audio'){ ?>
										<div class="post-thumbail">
											<?php if( function_exists( 'rwmb_meta' ) ) { ?>
								                <?php $link_audio = get_post_meta(get_the_ID(),'_cmb_link_audio', true); ?>
								                <?php if($link_audio){ ?>  
								                    <iframe style="width:100%" src="<?php echo esc_url( $link_audio ); ?>"></iframe>
								                <?php } ?>
								            <?php } ?>
										</div>
									<?php } ?>

									<?php if($format=='video'){ ?>
										<div class="post-thumbail">
											<?php if( function_exists( 'rwmb_meta' ) ) { ?>
								                <?php $link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true); ?>
								                <?php if($link_video){ ?>  
								                    <?php echo wp_oembed_get( $link_video ); ?>                       
								                <?php } ?>
								            <?php } ?> 
										</div>
									<?php } ?>

									<?php if($format=='standard'){ ?>
										<div class="post-thumbail">
											<?php
								                if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
								                    the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) );
								                } 
								            ?> 
										</div>
									<?php } ?>

									<div class="post-content">
										<?php the_content(); ?>
									</div>
									<div class="post-footer">
										<div class="tag-post">
											<span><?php the_tags(); ?></a>
										</div>
										<!-- <div class="share-post">
											<span>Share:</span> <a href="#">Facebook</a>, <a href="#">Twitter</a>, <a href="#">Google+</a>
										</div> -->
									</div>
								</article>

								<div class="list-comments">
									<!--  -->
									<?php comments_template(); ?> 
								</div>

							</div>
						</div>
						<?php endwhile;?>

						<?php if($continal_option['blog_layout']=='style1'){ ?>
                            <div class="col-md-3">
                                <?php get_sidebar();?>
                            </div>
                        <?php } ?> 

					</div>
				</div>
			</div>

		</div>		
	</div>
	
<?php get_footer(); ?>
