<?php
/**
 * The Template for displaying all single products.
 *
 * Override this template by copying it to yourtheme/woocommerce/single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>
	
	<!-- subheader -->
	<div class="page-title">
        <div class="container">
            <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
				<h1><?php woocommerce_page_title(); ?></h1>
			<?php endif; ?>
        </div>
    </div>

    <div class="breadcrumbs">
        <div class="container">
            <?php continal_breadcrumbs(); ?>
        </div>
    </div>
    <!-- subheader close -->
    <div class="page-content blog-page">
        <div class="container">
            <div class="row">
				<div class="col-md-9">
					<div class="blog-list">
						<?php while ( have_posts() ) : the_post(); ?>

							<?php wc_get_template_part( 'content', 'single-product' ); ?>

						<?php endwhile; // end of the loop. ?>
					</div>
				</div>	

				<div class="col-md-3">
					<?php
						/**
						 * woocommerce_sidebar hook
						 *
						 * @hooked woocommerce_get_sidebar - 10
						 */
						do_action( 'woocommerce_sidebar' );
					?>
				</div>	

				<?php
					/**
					 * woocommerce_after_main_content hook
					 *
					 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
					 */
					do_action( 'woocommerce_after_main_content' );
				?>
			</div>
		</div>
	</div>	

<?php get_footer( 'shop' ); ?>
